#ifndef __DATA_COLLECT_SRV_H__
#define __DATA_COLLECT_SRV_H__

#include <common.h>
#include <stdint.h>
#include <trusty_ipc.h>

/* split data into many data blocks */
#define BLOCK_SIZE	800 // 3.2KB

enum data_collect_cmd {
	DATA_COLLECT_START = 1,
	DATA_COLLECT_END = 2,
	DATA_RETURN_START = 3,
	DATA_RETURN_END = 4,
};

typedef struct data_collect_srv_msg {
	enum data_collect_cmd cmd;
	int data_size;
	float data[BLOCK_SIZE];	
} data_collect_srv_msg_t;

void data_collect_srv_process_req(iovec_t *ipc_msg);

#endif 
/* __DATA_COLLECT_SRV_H__ */
