#include <trusty_app_manifest.h>
#include <stddef.h>
#include <stdio.h>

trusty_app_manifest_t TRUSTY_APP_MANIFEST_ATTRS trusty_app_manifest =
{
	/*
	 * Each trusted app UUID should have a unique UUID that is
	 * generated from a UUID generator such as
         * https://www.uuidgenerator.net/
	 *
	 * UUID : {eedcf356-6719-4d44-a637-09b023fb1b7d}
     * 
	 */
	{ 0xeedcf356, 0x6719, 0x4d44,
	  { 0xa6, 0x37, 0x09, 0xb0, 0x23, 0xfb, 0x1b, 0x7d} },

	/* Optional configuration options here */
	{
		TRUSTY_APP_CONFIG_MIN_HEAP_SIZE(MIN_HEAP_SIZE*10),
		TRUSTY_APP_CONFIG_MIN_STACK_SIZE(MIN_STACK_SIZE*10),
	},
};
